#### PyKDE - Python Bindings for KDE

# class TerminalInterface |
Table of contents
Modules
kparts Classes
All Classes

Module | kparts
Class | TerminalInterface (abstract)
Inherits |

### methods

- sendInput (a0) = 0

  returns nothing
  pure virtual
  Argument | Type | Default
  --- | --- | ---
  a0 | QString |

- showShellInDir (a0) = 0

  returns nothing
  pure virtual
  Argument | Type | Default
  --- | --- | ---
  a0 | QString |

- startProgram (a0, a1) = 0

  returns nothing
  pure virtual
  Argument | Type | Default
  --- | --- | ---
  a0 | QString |
  a1 | QStrList |